## octave-symbolic 1.0.6

=== DESCRIPTION ===
Name: Symbolic
Version: 1.0.6
Date: 2008-04-29
Author: Various Authors
Maintainer: The Octave Community
Title: Symbolic Computations.
Description: Symbolic toolbox based on GiNaC and CLN.
BuildRequires: ginac-devel
Depends: octave (>= 2.9.7)
Autoload: yes
License: GPL version 2 or later
Url: http://octave.sf.net

=== src/Makefile ===

sinclude Makeconf

# assumptions to make if not using ./configure script
ifndef OCTAVE_FORGE
	MKOCTFILE=mkoctfile
	HAVE_GINAC=1
endif

#SRC=symbols.cc probably_prime.cc differentiate.cc \
#	sym-bool.cc sym-create.cc \
#	ov-ex.cc ov-sym.cc ov-vpa.cc ov-ex-mat.cc ov-relational.cc \
#	op-ex-mat.cc op-ex.cc op-sym.cc op-vpa.cc 
SRC=symbols.cc probably_prime.cc differentiate.cc \
	findsymbols.cc numden.cc syminfo.cc symlsolve.cc sumterms.cc\
	sym-bool.cc sym-create.cc \
	ov-ex.cc ov-vpa.cc ov-ex-mat.cc ov-relational.cc \
	op-ex-mat.cc op-ex.cc op-vpa.cc 
OBJ=$(SRC:.cc=.o)

%.o: %.cc ; $(MKOCTFILE) -v $(GINAC_CFLAGS) $(HAVE_ND_ARRAYS) $(TYPEID_HAS_CLASS) -c $<

ifdef HAVE_GINAC
PROGS=symbols.oct

all: $(PROGS)
else
all:
	@echo "Ginac library or headers not found"
	false

endif

$(PROGS): Makefile

symbols.oct: $(OBJ)
	$(MKOCTFILE) -v -o $@ $(OBJ) $(GINAC_LIBS)

clean: ; $(RM) *.o core octave-core *.oct *~

## octave-symbolic 1.0.8

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Name: Symbolic
-Version: 1.0.6
-Date: 2008-04-29
+Version: 1.0.8
+Date: 2009-05-03
 Author: Various Authors
 Maintainer: The Octave Community
 Title: Symbolic Computations.

## octave-symbolic 1.1.0

=== DESCRIPTION ===
Name: Symbolic
Version: 1.1.0
Date: 2011-10-18
Author: Various Authors
Maintainer: The Octave Community
Title: Symbolic Computations.
Description: Symbolic toolbox based on GiNaC and CLN.
BuildRequires: ginac-devel
Depends: octave (>= 3.1.55)
Autoload: yes
License: GPL version 2 or later
Url: http://octave.sf.net

=== src/Makefile ===
--- 
+++ 
@@ -34,6 +34,6 @@
 $(PROGS): Makefile
 
 symbols.oct: $(OBJ)
-	$(MKOCTFILE) -v -o $@ $(OBJ) $(GINAC_LIBS)
+	$(MKOCTFILE) -v -o $@ $(OBJ) `pkg-config --libs ginac`
 
 clean: ; $(RM) *.o core octave-core *.oct *~

=== debian/changelog ===
octave-symbolic (1.1.0-3) unstable; urgency=medium

  [ Sébastien Villemot ]
  * Remove Thomas Weber from Uploaders.

  [ Rafael Laboissiere ]
  * Bump Standards-Version to 3.9.6 (no changes needed)
  * d/copyright: Ensure that all files have copyright information
  * Add myself to Uploaders

 -- Rafael Laboissiere <rafael@laboissiere.net>  Sat, 27 Sep 2014 03:52:54 -0300

octave-symbolic (1.1.0-2) unstable; urgency=low

  [ Sébastien Villemot ]
  * Use my @debian.org email address

  [ Thomas Weber ]
  * debian/control: Use canonical URLs in Vcs-* fields
  * Remove obsolete DM-Upload-Allowed flag

  [ Rafael Laboissiere ]
  * debian/watch: Use the SourceForge redirector
  * Bump to Standards-Version 3.9.4, no changes needed
  * debian/copyright: Use octave-maintainers mailing list as upstream contact
  * Add patches taken from upstream:
    + proper-cell-array-reversal.patch
    + store-symbolic-expressions.patch
    + fix-tests-blocks.patch
    + sumterms-return-cell-vector.patch
    + avoid-ex-type-in-assert.patch

 -- Thomas Weber <tweber@debian.org>  Tue, 02 Jul 2013 23:19:49 +0200

octave-symbolic (1.1.0-1) unstable; urgency=low

  [ Rafael Laboissiere ]
  * Imported Upstream version 1.1.0
  * Switch to dpkg-source 3.0 (quilt) format
  * debian/patches/register_symbols: Drop patch (applied upstream)
  * Bump to debhelper compat level 9
  * Build-depend on octave-pkg-dev >= 1.0.1, to build against Octave 3.6
  * Add Sébastien Villemot to the list of Uploaders
  * Bump to Standards-Version 3.9.3, no changes needed
  * debian/copyright: update to machine-readable format 1.0
  * debian/patches/cell-as-retval-in-findsymbols.patch: Add patch

 -- Thomas Weber <tweber@debian.org>  Fri, 16 Mar 2012 18:05:37 +0100

octave-symbolic (1.0.9-2) unstable; urgency=low

  * debian/control:
    - Remove Rafael Laboissiere from Uploaders (Closes: #571870)
    - Remove Ólafur Jens Sigurðsson <ojsbug@gmail.com> from Uploaders
  * New patch: register_symbols, ensure that symbols from the package are
    registered. Patch taken from upstream SVN (closes: #607071) 

 -- Thomas Weber <tweber@debian.org>  Thu, 06 Jan 2011 22:51:58 +0100

octave-symbolic (1.0.9-1) unstable; urgency=low

  [ Rafael Laboissiere ]
  * debian/control: Build-depend on octave-pkg-dev >= 0.7.0, such that the
    package is built against octave3.2

  [ Thomas Weber ]
  * New upstream release.
  * Use octave-symbolic.docs for installation of documentation, following the
    change in octave-pkg-dev 0.7.1.
  * Dropped patches (applied upstream):
    + symfsolve-tests.diff
    + use-cell-instead-of-list.diff

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Thu, 31 Dec 2009 00:40:39 +0100

octave-symbolic (1.0.8-1) unstable; urgency=low

  * New upstream release
  * debian/patches/symfsolve-tests.diff: Add tests to function symfsolve
  * debian/patches/use-cell-instead-of-list.diff: Use cell() instead of the
    deprecated list()
  * debian/control:
    + (Build-Depends): Add quilt
    + (Standards-Version): Bump to 3.8.1 (no changes needed)
    + (Depends): Add ${misc:Depends}
    + (Vcs-Git, Vcs-Browser): Adjust to new Git repository
  * debian/copyright:
    + Use DEP5 URL in Format-Specification
    + Use separate License stanzas for instructing about the location of
      the different licenses used in the package
  * debian/rules: Include patchsys-quilt.mk
  * debian/README.source: Add file explaining the quilt patch system, as
    required by the Policy

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 24 May 2009 20:51:56 +0200

octave-symbolic (1.0.7-2) unstable; urgency=low

  [ Rafael Laboissiere ]
  * debian/copyright: Add header
  * debian/control: Bump build-dependency on octave-pkg-dev to >= 0.6.4,
    such that the package is built with the versioned packages directory

  [ Thomas Weber ]
  * Upload to unstable (closes: #516942).

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Mon, 06 Apr 2009 23:30:53 +0200

octave-symbolic (1.0.7-1) experimental; urgency=low

  [ Rafael Laboissiere ]
  * debian/rules: Use debian/clean instead of manually cleaning files
  * debian/compat, debian/control: Bump build-dependency on debhelper to
    >= 7.0.0, otherwise debian/clean is moot
  * debian/clean: New file
  * debian/control: Bump Standards-Version to 3.8.0 (no changes needed)

  [ Thomas Weber ]
  * New upstream release
  * Bump dependency on octave-pkg-dev to 0.6.1, to get the experimental
    version

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Thu, 11 Dec 2008 17:59:16 +0000

octave-symbolic (1.0.6-1) unstable; urgency=low

  [ Ólafur Jens Sigurðsson ]
  * New upstream version

  [ Thomas Weber ]
  * Add pkg-config to build-dependencies.

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Sat, 17 May 2008 10:56:39 +0200

octave-symbolic (1.0.5-2) unstable; urgency=low

  * debian/control: bump dependency on octave-pkg-dev to 0.5.6, in order to
    get pkg-config  (closes: #477736).

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Mon, 28 Apr 2008 17:35:09 +0200

octave-symbolic (1.0.5-1) unstable; urgency=low

  * Initial release (closes: #468529)

 -- Ólafur Jens Sigurðsson <ojsbug@gmail.com>  Sat, 23 Feb 2008 15:03:04 +0100

=== debian/control ===
Source: octave-symbolic
Section: math
Priority: optional
Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
Uploaders: Sébastien Villemot <sebastien@debian.org>,
           Rafael Laboissiere <rafael@laboissiere.net>
Build-Depends: debhelper (>= 9), cdbs, octave-pkg-dev (>= 1.0.1),
 libginac-dev, pkg-config
Standards-Version: 3.9.6
Homepage: http://octave.sourceforge.net/symbolic
Vcs-Git: git://anonscm.debian.org/pkg-octave/octave-symbolic.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-octave/octave-symbolic.git

Package: octave-symbolic
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${octave:Depends}
Description: symbolic package for Octave
 This package provides a symbolic package for octave based on GiNaC
 and CLN.
 .
 It contains geometric functions, can plot symbolic functions and solve systems
 of symbolic equations.
 .
 This Octave add-on package is part of the Octave-Forge project.

=== debian/watch ===
version=3
http://sf.net/octave/symbolic-(.+)\.tar\.gz

## octave-symbolic 2.2.2

=== debian/changelog ===
octave-symbolic (2.2.2-1build2) wily; urgency=medium

  * No-change rebuild against liboctave3

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 15 Aug 2015 12:33:03 +0000

octave-symbolic (2.2.2-1build1) wily; urgency=medium

  * No-change rebuild using GCC 5.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 14 Aug 2015 20:36:01 +0200

octave-symbolic (2.2.2-1) unstable; urgency=medium

  [ Sébastien Villemot ]
  * Imported Upstream version 2.2.2
  * d/copyright: reflect upstream changes.

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 19 Jul 2015 21:45:26 +0200

octave-symbolic (2.1.0-1) experimental; urgency=low

  * Imported Upstream version 2.1.0
  * d/octave-symbolic.docs: New file (install upstream README.md)
  * Exclude ezplot and ezplot3 from the list of automatic unit testing
    (Closes: #778745)

 -- Rafael Laboissiere <rafael@laboissiere.net>  Sun, 22 Mar 2015 08:30:34 -0300

octave-symbolic (2.0.0-1) experimental; urgency=low

  * Imported Upstream version 2.0.0
  * Remove obsolete patches:
    + d/p/avoid-ex-type-in-assert.patch
    + d/p/cell-as-retval-in-findsymbols.patch
    + d/p/fix-symfsolve-test.patch
    + d/p/fix-tests-blocks.patch
    + d/p/proper-cell-array-reversal.patch
    + d/p/store-symbolic-expressions.patch
    + d/p/sumterms-return-cell-vector.patch
  * Build-depend and depend on python-sympy
  * Prevent automatic running of tests in file sympref.m.
    For that to work, Build-Dependency on octave-pkg-dev is set to
    >= 1.2.0.
  * Drop obsolete file d/octave-symbolic.docs

 -- Rafael Laboissiere <rafael@laboissiere.net>  Sun, 15 Feb 2015 20:01:15 -0200

=== debian/control ===
Source: octave-symbolic
Section: math
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
Uploaders: Sébastien Villemot <sebastien@debian.org>,
           Rafael Laboissiere <rafael@laboissiere.net>
Build-Depends: debhelper (>= 9), cdbs, octave-pkg-dev (>= 1.2.0),
 python-sympy
Standards-Version: 3.9.6
Homepage: http://octave.sourceforge.net/symbolic
Vcs-Git: git://anonscm.debian.org/pkg-octave/octave-symbolic.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-octave/octave-symbolic.git

Package: octave-symbolic
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${octave:Depends},
 python-sympy
Description: symbolic package for Octave
 This package include common Computer Algebra System tools such as
 algebraic operations, calculus, equation solving, Fourier and Laplace
 transforms, variable precision arithmetic, among other features.
 Internally, the package uses SymPy (www.sympy.org), but no knowledge
 of Python is required.  Compatibility with other symbolic toolboxes
 is intended.
 .
 This Octave add-on package is part of the Octave-Forge project.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/cdbs/1/class/octave-pkg.mk

OCTPKG_EXCLUDE_TEST = sympref.m ezplot.m ezplot3.m

## octave-symbolic 2.2.4

=== DESCRIPTION ===
Name: symbolic
Version: 2.2.4
Date: 2015-12-14
Author: Colin B. Macdonald <cbm@m.fsf.org>
Maintainer: Colin B. Macdonald <cbm@m.fsf.org>
Title: Octave Symbolic Package using SymPy
Description: The Octave-Forge Symbolic package adds symbolic calculation
 features to GNU Octave.  These include common Computer Algebra System tools
 such as algebraic operations, calculus, equation solving, Fourier and Laplace
 transforms, variable precision arithmetic and other features.  Internally,
 the package uses [SymPy](www.sympy.org), but no knowledge of Python is
 required.  Compatibility with other symbolic toolboxes is intended.
Categories: symbolic
Url: http://github.com/cbm755/octsympy
SystemRequirements: python, sympy (>= 0.7.5)
BuildRequires: python, sympy (>= 0.7.5)

=== src/Makefile ===
# OctSymPy does need an Makefile for "pkg install octsympy".

# We have this Makefile mainly for post-processing the code to make a
# package for Matlab.  Also, for legacy reasons, the Makefile can
# regenerate the autogenerated .m files.

OCTAVE ?= octave
PYTHON ?= python

default:
	echo "no installation steps are needed"

matlab: ml_copy ml_convert ml_extract_tests

clean: matlab_clean

#######################################################

codegen:
	${PYTHON} generate_functions.py install

codegen_clean:
	${PYTHON} generate_functions.py clean

ml_extract_tests: ml_copy
	mkdir -p ../matlab/tests_matlab/
	cp -ra ../extract_tests_for_matlab.m ../matlab/
	cp -ra ../octsympy_tests_matlab.m ../matlab/
	cd ../matlab/; ${OCTAVE} -q --eval "extract_tests_for_matlab"
	rm -f ../matlab/extract_tests_for_matlab.m

ml_copy: ml_convert
	cp -ra ../inst/private ../matlab/
	mv ../matlab/private/my_print_usage.m ../matlab/private/print_usage.m
	cp -ra ../inst/@sym/private ../matlab/@sym/
	cp -ra ../inst/@symfun/private ../matlab/@symfun/
	cp -ra ../matlab/private/print_usage.m ../matlab/@sym/private/
	cp -ra ../matlab/private/print_usage.m ../matlab/@symfun/private/
	cp -af ../CONTRIBUTORS ../matlab/
	cp -af ../NEWS ../matlab/
	cp -af ../COPYING ../matlab/
	cp -af ../matlab_smt_differences.md ../matlab/
	cp -af ../README.md ../matlab/
	cp -af ../README.matlab.md ../matlab/
	rm -f ../matlab/octsympy_tests.m

ml_convert:
	mkdir -p ../matlab/@sym/
	mkdir -p ../matlab/@symfun/
	mkdir -p ../matlab/@logical/
	cp -ra ../convert_comments.m ../matlab/
	cd ../matlab/; ${OCTAVE} -q --eval "convert_comments('../inst/', '',         '../matlab/')"
	cd ../matlab/; ${OCTAVE} -q --eval "convert_comments('../inst/', '@symfun',  '../matlab/')"
	cd ../matlab/; ${OCTAVE} -q --eval "convert_comments('../inst/', '@sym',     '../matlab/')"
	cd ../matlab/; ${OCTAVE} -q --eval "convert_comments('../inst/', '@logical', '../matlab/')"
	rm -f ../matlab/convert_comments.m

matlab_clean:
	rm -f ../matlab/*.m
	rm -f ../matlab/CONTRIBUTORS
	rm -f ../matlab/COPYING
	rm -f ../matlab/NEWS
	rm -f ../matlab/*.md
	rm -rf ../matlab/@sym
	rm -rf ../matlab/@symfun
	rm -rf ../matlab/@logical
	rm -rf ../matlab/private
	rm -rf ../matlab/tests_matlab

distclean:
	rm -f configure config.log aclocal.m4
	rm -rf autom4te.cache

=== debian/changelog ===
octave-symbolic (2.2.4-1) unstable; urgency=medium

  * Imported Upstream version 2.2.4

 -- Rafael Laboissiere <rafael@laboissiere.net>  Mon, 21 Dec 2015 22:39:03 +0100

octave-symbolic (2.2.3-1) unstable; urgency=medium

  * Imported Upstream version 2.2.3

 -- Rafael Laboissiere <rafael@laboissiere.net>  Tue, 01 Dec 2015 13:52:57 +0100

octave-symbolic (2.2.2-2) unstable; urgency=medium

  * d/rules: Remove the extraneous Windows batch script

 -- Rafael Laboissiere <rafael@laboissiere.net>  Fri, 23 Oct 2015 22:23:05 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: octave-symbolic
 Section: math
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
+Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
 Uploaders: Sébastien Villemot <sebastien@debian.org>,
            Rafael Laboissiere <rafael@laboissiere.net>
 Build-Depends: debhelper (>= 9), cdbs, octave-pkg-dev (>= 1.2.0),

=== debian/rules ===
--- 
+++ 
@@ -4,3 +4,7 @@
 include /usr/share/cdbs/1/class/octave-pkg.mk
 
 OCTPKG_EXCLUDE_TEST = sympref.m ezplot.m ezplot3.m
+
+install/octave-symbolic::
+	# Remove the extraneous Windows batch script
+	rm -rf $$(find debian/octave-symbolic -name bin)

## octave-symbolic 2.4.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Name: symbolic
-Version: 2.2.4
-Date: 2015-12-14
+Version: 2.4.0
+Date: 2016-05-24
 Author: Colin B. Macdonald <cbm@m.fsf.org>
 Maintainer: Colin B. Macdonald <cbm@m.fsf.org>
 Title: Octave Symbolic Package using SymPy
@@ -12,5 +12,6 @@
  required.  Compatibility with other symbolic toolboxes is intended.
 Categories: symbolic
 Url: http://github.com/cbm755/octsympy
-SystemRequirements: python, sympy (>= 0.7.5)
-BuildRequires: python, sympy (>= 0.7.5)
+Depends: octave (>= 3.8)
+SystemRequirements: python, sympy (>= 0.7.6)
+License: GPL-3.0+

=== src/Makefile ===
--- 
+++ 
@@ -24,31 +24,32 @@
 
 ml_extract_tests: ml_copy
 	mkdir -p ../matlab/tests_matlab/
-	cp -ra ../extract_tests_for_matlab.m ../matlab/
-	cp -ra ../octsympy_tests_matlab.m ../matlab/
+	cp -pR ../misc/octassert.m ../matlab/tests_matlab/
+	cp -pR ../misc/extract_tests_for_matlab.m ../matlab/
+	cp -pR ../misc/octsympy_tests_matlab.m ../matlab/
 	cd ../matlab/; ${OCTAVE} -q --eval "extract_tests_for_matlab"
 	rm -f ../matlab/extract_tests_for_matlab.m
 
 ml_copy: ml_convert
-	cp -ra ../inst/private ../matlab/
-	mv ../matlab/private/my_print_usage.m ../matlab/private/print_usage.m
-	cp -ra ../inst/@sym/private ../matlab/@sym/
-	cp -ra ../inst/@symfun/private ../matlab/@symfun/
-	cp -ra ../matlab/private/print_usage.m ../matlab/@sym/private/
-	cp -ra ../matlab/private/print_usage.m ../matlab/@symfun/private/
-	cp -af ../CONTRIBUTORS ../matlab/
-	cp -af ../NEWS ../matlab/
-	cp -af ../COPYING ../matlab/
-	cp -af ../matlab_smt_differences.md ../matlab/
-	cp -af ../README.md ../matlab/
-	cp -af ../README.matlab.md ../matlab/
+	cp -pR ../inst/private ../matlab/
+	cp -pR ../inst/@sym/private ../matlab/@sym/
+	cp -pR ../inst/@symfun/private ../matlab/@symfun/
+	cp -pR ../misc/my_print_usage.m ../matlab/private/print_usage.m
+	cp -pR ../misc/my_print_usage.m ../matlab/@sym/private/print_usage.m
+	cp -pR ../misc/my_print_usage.m ../matlab/@symfun/private/print_usage.m
+	cp -fp ../CONTRIBUTORS ../matlab/
+	cp -fp ../NEWS ../matlab/
+	cp -fp ../COPYING ../matlab/
+	cp -fp ../matlab_smt_differences.md ../matlab/
+	cp -fp ../README.md ../matlab/
+	cp -fp ../README.matlab.md ../matlab/
 	rm -f ../matlab/octsympy_tests.m
 
 ml_convert:
 	mkdir -p ../matlab/@sym/
 	mkdir -p ../matlab/@symfun/
 	mkdir -p ../matlab/@logical/
-	cp -ra ../convert_comments.m ../matlab/
+	cp -pR ../misc/convert_comments.m ../matlab/
 	cd ../matlab/; ${OCTAVE} -q --eval "convert_comments('../inst/', '',         '../matlab/')"
 	cd ../matlab/; ${OCTAVE} -q --eval "convert_comments('../inst/', '@symfun',  '../matlab/')"
 	cd ../matlab/; ${OCTAVE} -q --eval "convert_comments('../inst/', '@sym',     '../matlab/')"

=== debian/changelog ===
octave-symbolic (2.4.0-2) unstable; urgency=medium

  * d/control: Ensure proper paragraph breaks in Description.
    For this to work, build-depends on octave-pkg-dev >= 1.4.2.

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 26 Jun 2016 13:31:45 -0300

octave-symbolic (2.4.0-1) unstable; urgency=medium

  * Imported Upstream version 2.4.0
  * d/copyright: Reflect upstream changes
  * d/control: Insert upstream long description, via octave:Upstream-Description.
    Build-Depends on octave-pkg-dev >= 1.4.1

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 25 Jun 2016 21:32:14 -0300

octave-symbolic (2.3.0-1) unstable; urgency=medium

  * Imported Upstream version 2.3.0
  * d/copyright: Reflect upstream changes
  * d/control:
    + Mark the package as architecture all
    + Use secure URIs in the Vcs-* fields
    + Bump Standards-Version to 3.9.8 (no changes needed)

 -- Rafael Laboissiere <rafael@laboissiere.net>  Sat, 14 May 2016 21:09:56 +0200

=== debian/control ===
Source: octave-symbolic
Section: math
Priority: optional
Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
Uploaders: Sébastien Villemot <sebastien@debian.org>,
           Rafael Laboissiere <rafael@debian.org>
Build-Depends: debhelper (>= 9), cdbs, octave-pkg-dev (>= 1.4.2),
 python-sympy
Standards-Version: 3.9.8
Homepage: http://octave.sourceforge.net/symbolic
Vcs-Git: https://anonscm.debian.org/git/pkg-octave/octave-symbolic.git
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=pkg-octave/octave-symbolic.git

Package: octave-symbolic
Architecture: all
Depends: ${misc:Depends}, ${octave:Depends}, python-sympy
Description: symbolic package for Octave
 ${octave:Upstream-Description}
 .
 This Octave add-on package is part of the Octave-Forge project.

=== debian/rules ===
--- 
+++ 
@@ -8,3 +8,6 @@
 install/octave-symbolic::
 	# Remove the extraneous Windows batch script
 	rm -rf $$(find debian/octave-symbolic -name bin)
+
+clean::
+	rm -f src/config.log

## octave-symbolic 2.6.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Name: symbolic
-Version: 2.4.0
-Date: 2016-05-24
+Version: 2.6.0
+Date: 2017-07-27
 Author: Colin B. Macdonald <cbm@m.fsf.org>
 Maintainer: Colin B. Macdonald <cbm@m.fsf.org>
 Title: Octave Symbolic Package using SymPy
@@ -12,6 +12,6 @@
  required.  Compatibility with other symbolic toolboxes is intended.
 Categories: symbolic
 Url: http://github.com/cbm755/octsympy
-Depends: octave (>= 3.8)
-SystemRequirements: python, sympy (>= 0.7.6)
+Depends: octave (>= 4.0.0)
+SystemRequirements: python, sympy (>= 1.0)
 License: GPL-3.0+

=== Makefile ===
SHELL   := /bin/bash

## Copyright 2016-2017 Colin B. Macdonald
##
## Copying and distribution of this file, with or without modification,
## are permitted in any medium without royalty provided the copyright
## notice and this notice are preserved.  This file is offered as-is,
## without any warranty.

PACKAGE := $(shell grep "^Name: " DESCRIPTION | cut -f2 -d" ")
VERSION := $(shell grep "^Version: " DESCRIPTION | cut -f2 -d" ")
MATLAB_PACKAGE_NAME := octsympy

BUILD_DIR := tmp
MATLAB_PKG := ${BUILD_DIR}/${MATLAB_PACKAGE_NAME}-matlab-${VERSION}
MATLAB_PKG_ZIP := ${BUILD_DIR}/${MATLAB_PACKAGE_NAME}-matlab-${VERSION}.zip
OCTAVE_RELEASE := ${BUILD_DIR}/${PACKAGE}-${VERSION}
OCTAVE_RELEASE_TARBALL := ${BUILD_DIR}/${PACKAGE}-${VERSION}.tar.gz

INSTALLED_PACKAGE := ~/octave/${PACKAGE}-${VERSION}/packinfo/DESCRIPTION
HTML_DIR := ${BUILD_DIR}/${PACKAGE}-html
HTML_TARBALL := ${HTML_DIR}.tar.gz

OCTAVE ?= octave
MATLAB ?= matlab

.PHONY: help clean install test doctest dist dist_zip html matlab_test matlab_pkg

help:
	@echo Available rules:
	@echo "  clean              clean all temporary files"
	@echo "  install            install package in Octave"
	@echo "  test               run tests with Octave"
	@echo "  doctest            run doctests with Octave"
	@echo "  dist               create Octave package (${OCTAVE_RELEASE_TARBALL})"
	@echo "  html               create Octave Forge website (${HTML_TARBALL})"
	@echo "  release            create both tarballs and md5 sums"
	@echo
	@echo "  matlab_test        run tests with Matlab"
	@echo "  matlab_pkg         create Matlab package (${MATLAB_PKG_ZIP})"


GIT_DATE   := $(shell git show -s --format=\%ci)
# Follows the recommendations of https://reproducible-builds.org/docs/archives
define create_tarball
$(shell cd $(dir $(1)) \
    && find $(notdir $(1)) -print0 \
    | LC_ALL=C sort -z \
    | tar c --mtime="$(GIT_DATE)" \
            --owner=root --group=root --numeric-owner \
            --no-recursion --null -T - -f - \
    | gzip -9n > "$(2)")
endef

%.tar.gz: %
	$(call create_tarball,$<,$(notdir $@))

%.zip: %
	cd "$(BUILD_DIR)" ; zip -9qr - "$(notdir $<)" > "$(notdir $@)"

$(OCTAVE_RELEASE): .git/index | $(BUILD_DIR)
	@echo "Creating package version $(VERSION) release ..."
	-$(RM) -r "$@"
	git archive --format=tar --prefix="$@/" HEAD | tar -x
	$(RM) "$@/README.matlab.md" \
	      "$@/HOWTO-release.md" \
	      "$@/README.bundled.md" \
	      "$@/TODO.md" \
	      "$@/.gitignore" \
	      "$@/.travis.yml" \
	      "$@/.mailmap" \
	      "$@/screenshot.png" \
	      "$@/screenshot-install.png"
	$(RM) -r "$@/testing" "$@/util"
	chmod -R a+rX,u+w,go-w "$@"

$(HTML_DIR): install | $(BUILD_DIR)
	@echo "Generating HTML documentation. This may take a while ..."
	-$(RM) -r "$@"
	$(OCTAVE) --no-window-system --silent \
	  --eval "pkg load generate_html; " \
	  --eval "pkg load $(PACKAGE);" \
	  --eval "options = get_html_options ('octave-forge');" \
	  --eval "generate_package_html ('${PACKAGE}', '${HTML_DIR}', options)"
	chmod -R a+rX,u+w,go-w $@

dist: $(OCTAVE_RELEASE_TARBALL)
html: $(HTML_TARBALL)
md5: $(OCTAVE_RELEASE_TARBALL) $(HTML_TARBALL)
	@md5sum $^

release: md5
	@echo "Upload @ https://sourceforge.net/p/octave/package-releases/new/"
	@echo "*After review*, an Octave-Forge admin will tag this with:"
	@echo "    git tag -a v$(VERSION) -m \"Version $(VERSION)\""


${BUILD_DIR} ${MATLAB_PKG}/private ${MATLAB_PKG}/tests_matlab ${MATLAB_PKG}/@sym ${MATLAB_PKG}/@symfun ${MATLAB_PKG}/@logical ${MATLAB_PKG}/@double:
	mkdir -p "$@"

clean:
	rm -rf "${BUILD_DIR}"
	@#rm -f fntests.log
	rm -f inst/octsympy_tests.log

test:
	@echo "Testing package in GNU Octave ..."
	@$(OCTAVE) --no-gui --silent --path "${PWD}/inst" \
		--eval "set (0, 'defaultfigurevisible', 'off'); \
		 anyfail = octsympy_tests; \
		 sympref reset; \
		 exit (anyfail)"
	@echo

doctest:
	@# Workaround for OctSymPy issue 273, we must pre-initialize the package
	@# Otherwise, it will make the doctests fail
	@echo "Testing documentation strings ..."
	@$(OCTAVE) --no-gui --silent --path "${PWD}/inst" \
		--eval "pkg load doctest; \
		 sym ('x'); \
		 set (0, 'defaultfigurevisible', 'off'); \
		 success = doctest('inst/'); \
		 sympref reset; \
		 exit (!success)"
	@echo


## Install in Octave (locally)
install: ${INSTALLED_PACKAGE}
${INSTALLED_PACKAGE}: ${OCTAVE_RELEASE_TARBALL}
	$(OCTAVE) --silent --eval "pkg install $<"

## Matlab packaging
## TODO: should be written to properly use artfacts
matlab_pkg: $(MATLAB_PKG_ZIP)

${MATLAB_PKG}: $(BUILD_DIR) ${MATLAB_PKG}/private ml_extract_tests

## Matlab: extract unit tests from Octave files, place in separate files
ml_extract_tests: ${MATLAB_PKG}/tests_matlab ml_copy
	cp -pR misc/octassert.m ${MATLAB_PKG}/tests_matlab/
	cp -pR misc/extract_tests_for_matlab.m ${MATLAB_PKG}/
	cp -pR misc/octsympy_tests_matlab.m ${MATLAB_PKG}/
	cd ${MATLAB_PKG}/; ${OCTAVE} -q --eval "extract_tests_for_matlab"
	rm -f ${MATLAB_PKG}/extract_tests_for_matlab.m
	rm -f ${MATLAB_PKG}/tests_matlab/tests__sympref.m  # temp

## Matlab: copy files
ml_copy: ml_convert_comments
	cp -pR inst/private ${MATLAB_PKG}/
	cp -pR inst/@sym/private ${MATLAB_PKG}/@sym/
	cp -pR inst/@symfun/private ${MATLAB_PKG}/@symfun/
	cp -pR misc/my_print_usage.m ${MATLAB_PKG}/private/print_usage.m
	cp -pR misc/my_print_usage.m ${MATLAB_PKG}/@sym/private/print_usage.m
	cp -pR misc/my_print_usage.m ${MATLAB_PKG}/@symfun/private/print_usage.m
	cp -fp CONTRIBUTORS ${MATLAB_PKG}/
	cp -fp NEWS ${MATLAB_PKG}/
	cp -fp COPYING ${MATLAB_PKG}/
	cp -fp matlab_smt_differences.md ${MATLAB_PKG}/
	cp -fp README.md ${MATLAB_PKG}/
	cp -fp README.matlab.md ${MATLAB_PKG}/
	rm -f ${MATLAB_PKG}/octsympy_tests.m

## Matlab: extract and convert comments to Matlab style
ml_convert_comments: ${MATLAB_PKG}/@sym ${MATLAB_PKG}/@symfun ${MATLAB_PKG}/@double ${MATLAB_PKG}/@logical
	$(OCTAVE) --path ${PWD}/util --silent --eval "pwd, convert_comments('inst/', '',         '../${MATLAB_PKG}/')"
	$(OCTAVE) --path ${PWD}/util --silent --eval "pwd, convert_comments('inst/', '@symfun',  '../${MATLAB_PKG}/')"
	$(OCTAVE) --path ${PWD}/util --silent --eval "pwd, convert_comments('inst/', '@sym',     '../${MATLAB_PKG}/')"
	$(OCTAVE) --path ${PWD}/util --silent --eval "pwd, convert_comments('inst/', '@double',  '../${MATLAB_PKG}/')"
	$(OCTAVE) --path ${PWD}/util --silent --eval "pwd, convert_comments('inst/', '@logical', '../${MATLAB_PKG}/')"

matlab_test:
	cd "${MATLAB_PKG}"; ${MATLAB} -nojvm -nodisplay -nosplash -r "${MATLAB_STARTUP_CMD}; octsympy_tests_matlab"

=== debian/changelog ===
octave-symbolic (2.6.0-3build1) bionic; urgency=medium

  * No-change upload.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 03 Apr 2018 15:12:44 +0200

octave-symbolic (2.6.0-3) unstable; urgency=medium

  * Use dh-octave for building the package
  * d/control:
     + Use Debian's GitLab URLs in Vcs-* headers
     + Change Maintainer to team+pkg-octave-team@tracker.debian.org

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 10 Feb 2018 07:39:38 -0200

octave-symbolic (2.6.0-2) unstable; urgency=medium

  * Use the dh-based version of octave-pkg-dev
  * Set debhelper compatibility level to >= 11
  * d/control: Bump Standards-Version to 4.1.3 (no changes needed)

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 29 Dec 2017 22:14:59 -0200

octave-symbolic (2.6.0-1) unstable; urgency=medium

  * New upstream version 2.6.0
  * d/copyright: reflect upstream changes.
  * d/control: bump Standards-Version to 4.0.1.

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 09 Aug 2017 15:14:38 +0200

octave-symbolic (2.5.0-2) unstable; urgency=medium

  [ Sébastien Villemot ]
  * Upload to unstable.
  * d/copyright:
    + Use secure URL for format.
    + Use Source field instead of deprecated Upstream-Source.
  * d/watch: bump to format version 4.

  [ Rafael Laboissiere ]
  * d/control: Use cgit instead of gitweb in Vcs-Browser URL

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 12 Jun 2017 14:56:53 +0200

octave-symbolic (2.5.0-1) experimental; urgency=medium

  * New upstream version 2.5.0
  * d/copyright: Reflect upstream changes
  * d/control: Bump dependency on sympy to >= 1.0

 -- Rafael Laboissiere <rafael@debian.org>  Tue, 07 Feb 2017 19:12:42 -0200

=== debian/control ===
Source: octave-symbolic
Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
Uploaders: Sébastien Villemot <sebastien@debian.org>,
           Rafael Laboissiere <rafael@debian.org>
Section: math
Priority: optional
Build-Depends: debhelper (>= 11),
               dh-octave,
               python-sympy (>= 1.0)
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-symbolic
Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-symbolic.git
Homepage: http://octave.sourceforge.net/symbolic
Testsuite: autopkgtest-pkg-octave

Package: octave-symbolic
Architecture: all
Depends: ${misc:Depends},
         ${octave:Depends},
         python-sympy
Description: symbolic package for Octave
 ${octave:Upstream-Description}
 .
 This Octave add-on package is part of the Octave-Forge project.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DH_OCTAVE_EXCLUDE_TEST = sympref.m ezplot.m ezplot3.m

%:
	dh $@ --buildsystem=octave --with=octave

override_dh_auto_install:
	dh_auto_install
	# Remove the extraneous Windows batch script
	rm -rf $$(find debian/octave-symbolic -name bin)

## octave-symbolic 2.7.0

=== debian/changelog ===
octave-symbolic (2.7.0-1) unstable; urgency=medium

  * New upstream version 2.7.0
  * Bump to S-V 4.2.0

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 02 Aug 2018 12:25:30 +0200

octave-symbolic (2.7.0~git.2018.07.13-1) unstable; urgency=medium

  [ Rafael Laboissiere ]
  * New upstream version 2.7.0~git.2018.07.13
    This version works with sympy/1.2-1 (closes: #903823).
  * d/control: Add Rules-Requires-Root: no
  * d/control: Bump Standards-Version to 4.1.5

  [ Sébastien Villemot ]
  * Revert "d/rules: Use override_dh_installdeb for post-install actions"

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 15 Jul 2018 17:15:19 -0300

octave-symbolic (2.6.0-4) unstable; urgency=medium

  [ Mike Miller ]
  * d/control, d/copyright: Use secure URL for upstream source.

  [ Rafael Laboissiere ]
  * d/rules: Use override_dh_installdeb for post-install actions
  * d/control: Bump Standards-Version to 4.1.4 (no changes needed)
  * Move definition of DH_OCTAVE_EXCLUDE_TEST into d/checkvars.
    For that, bump the build-dependency on dh-octave to >= 0.5.0.  This
    should fix the autopkgtest failure at the Debian CI infrastructure.

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 06 May 2018 14:17:34 -0300

=== debian/control ===
--- 
+++ 
@@ -5,13 +5,14 @@
 Section: math
 Priority: optional
 Build-Depends: debhelper (>= 11),
-               dh-octave,
+               dh-octave (>= 0.5.0),
                python-sympy (>= 1.0)
-Standards-Version: 4.1.3
+Standards-Version: 4.2.0
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-symbolic
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-symbolic.git
-Homepage: http://octave.sourceforge.net/symbolic
+Homepage: https://octave.sourceforge.io/symbolic/
 Testsuite: autopkgtest-pkg-octave
+Rules-Requires-Root: no
 
 Package: octave-symbolic
 Architecture: all

## octave-symbolic 2.7.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Name: symbolic
-Version: 2.6.0
-Date: 2017-07-27
+Version: 2.7.1
+Date: 2018-10-02
 Author: Colin B. Macdonald <cbm@m.fsf.org>
 Maintainer: Colin B. Macdonald <cbm@m.fsf.org>
 Title: Octave Symbolic Package using SymPy
@@ -12,6 +12,6 @@
  required.  Compatibility with other symbolic toolboxes is intended.
 Categories: symbolic
 Url: http://github.com/cbm755/octsympy
-Depends: octave (>= 4.0.0)
+Depends: octave (>= 4.0)
 SystemRequirements: python, sympy (>= 1.0)
 License: GPL-3.0+

=== Makefile ===
--- 
+++ 
@@ -64,7 +64,6 @@
 	git archive --format=tar --prefix="$@/" HEAD | tar -x
 	$(RM) "$@/README.matlab.md" \
 	      "$@/HOWTO-release.md" \
-	      "$@/README.bundled.md" \
 	      "$@/TODO.md" \
 	      "$@/.gitignore" \
 	      "$@/.travis.yml" \
@@ -101,7 +100,7 @@
 clean:
 	rm -rf "${BUILD_DIR}"
 	@#rm -f fntests.log
-	rm -f inst/octsympy_tests.log
+	rm -f octsympy_tests.log
 
 test:
 	@echo "Testing package in GNU Octave ..."
@@ -171,4 +170,4 @@
 	$(OCTAVE) --path ${PWD}/util --silent --eval "pwd, convert_comments('inst/', '@logical', '../${MATLAB_PKG}/')"
 
 matlab_test:
-	cd "${MATLAB_PKG}"; ${MATLAB} -nojvm -nodisplay -nosplash -r "${MATLAB_STARTUP_CMD}; octsympy_tests_matlab"
+	cd "${MATLAB_PKG}"; ${MATLAB} -nodesktop -nosplash -r "${MATLAB_STARTUP_CMD}; octsympy_tests_matlab"

=== debian/changelog ===
octave-symbolic (2.7.1-2) unstable; urgency=medium

  [ Mike Miller ]
  * Use Python 3 by default
    - d/control: Adjust dependencies to python3-sympy.
    - d/p/python3.patch: New patch to set default Python interpreter.
  * Fix newly failing unit tests
    - d/p/linspace-drop-test.patch: New patch from upstream git.
    - d/p/pochhammer-test-tolerance.patch: New patch from upstream git.
    (Closes: #916961)

  [ Rafael Laboissiere ]
  * d/control:
    + Bump Standards-Version to 4.3.0 (no changes needed)
    + Bump to debhelper compat level 12
  * Build-depend on debhelper-compat instead of using d/compat

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 02 Jan 2019 22:57:58 -0200

octave-symbolic (2.7.1-1) unstable; urgency=medium

  * New upstream version 2.7.1
  * d/copyright: Reflect upstream changes
  * d/control: Bump Standards-Version to 4.2.1 (no changes needed)

 -- Rafael Laboissiere <rafael@debian.org>  Tue, 09 Oct 2018 04:32:03 -0300

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
            Rafael Laboissiere <rafael@debian.org>
 Section: math
 Priority: optional
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
                dh-octave (>= 0.5.0),
-               python-sympy (>= 1.0)
-Standards-Version: 4.2.0
+               python3-sympy (>= 1.0)
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-symbolic
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-symbolic.git
 Homepage: https://octave.sourceforge.io/symbolic/
@@ -18,7 +18,7 @@
 Architecture: all
 Depends: ${misc:Depends},
          ${octave:Depends},
-         python-sympy
+         python3-sympy
 Description: symbolic package for Octave
  ${octave:Upstream-Description}
  .

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,5 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
-
-export DH_OCTAVE_EXCLUDE_TEST = sympref.m ezplot.m ezplot3.m
 
 %:
 	dh $@ --buildsystem=octave --with=octave

=== debian/watch ===
version=4
http://sf.net/octave/symbolic-(.+)\.tar\.gz

## octave-symbolic 2.8.0

=== DESCRIPTION ===
Name: symbolic
Version: 2.8.0
Date: 2019-04-30
Author: Colin B. Macdonald <cbm@m.fsf.org>
Maintainer: Colin B. Macdonald <cbm@m.fsf.org>
Title: Octave Symbolic Package using SymPy
Description: Adds symbolic calculation features to GNU Octave.  These
 include common Computer Algebra System tools such as algebraic operations,
 calculus, equation solving, Fourier and Laplace transforms, variable
 precision arithmetic and other features.  Compatibility with other symbolic
 toolboxes is intended.
Categories: symbolic
Url: https://octave.sourceforge.io/symbolic
Depends: octave (>= 4.2)
SystemRequirements: python, sympy (>= 1.2)
License: GPL-3.0+

=== Makefile ===
--- 
+++ 
@@ -99,12 +99,11 @@
 
 clean:
 	rm -rf "${BUILD_DIR}"
-	@#rm -f fntests.log
-	rm -f octsympy_tests.log
+	rm -f fntests.log
 
 test:
 	@echo "Testing package in GNU Octave ..."
-	@$(OCTAVE) --no-gui --silent --path "${PWD}/inst" \
+	@$(OCTAVE) --no-gui --silent --path "${CURDIR}/inst" \
 		--eval "set (0, 'defaultfigurevisible', 'off'); \
 		 anyfail = octsympy_tests; \
 		 sympref reset; \
@@ -115,7 +114,7 @@
 	@# Workaround for OctSymPy issue 273, we must pre-initialize the package
 	@# Otherwise, it will make the doctests fail
 	@echo "Testing documentation strings ..."
-	@$(OCTAVE) --no-gui --silent --path "${PWD}/inst" \
+	@$(OCTAVE) --no-gui --silent --path "${CURDIR}/inst" \
 		--eval "pkg load doctest; \
 		 sym ('x'); \
 		 set (0, 'defaultfigurevisible', 'off'); \
@@ -163,11 +162,11 @@
 
 ## Matlab: extract and convert comments to Matlab style
 ml_convert_comments: ${MATLAB_PKG}/@sym ${MATLAB_PKG}/@symfun ${MATLAB_PKG}/@double ${MATLAB_PKG}/@logical
-	$(OCTAVE) --path ${PWD}/util --silent --eval "pwd, convert_comments('inst/', '',         '../${MATLAB_PKG}/')"
-	$(OCTAVE) --path ${PWD}/util --silent --eval "pwd, convert_comments('inst/', '@symfun',  '../${MATLAB_PKG}/')"
-	$(OCTAVE) --path ${PWD}/util --silent --eval "pwd, convert_comments('inst/', '@sym',     '../${MATLAB_PKG}/')"
-	$(OCTAVE) --path ${PWD}/util --silent --eval "pwd, convert_comments('inst/', '@double',  '../${MATLAB_PKG}/')"
-	$(OCTAVE) --path ${PWD}/util --silent --eval "pwd, convert_comments('inst/', '@logical', '../${MATLAB_PKG}/')"
+	$(OCTAVE) --path ${CURDIR}/util --silent --eval "pwd, convert_comments('inst/', '',         '../${MATLAB_PKG}/')"
+	$(OCTAVE) --path ${CURDIR}/util --silent --eval "pwd, convert_comments('inst/', '@symfun',  '../${MATLAB_PKG}/')"
+	$(OCTAVE) --path ${CURDIR}/util --silent --eval "pwd, convert_comments('inst/', '@sym',     '../${MATLAB_PKG}/')"
+	$(OCTAVE) --path ${CURDIR}/util --silent --eval "pwd, convert_comments('inst/', '@double',  '../${MATLAB_PKG}/')"
+	$(OCTAVE) --path ${CURDIR}/util --silent --eval "pwd, convert_comments('inst/', '@logical', '../${MATLAB_PKG}/')"
 
 matlab_test:
 	cd "${MATLAB_PKG}"; ${MATLAB} -nodesktop -nosplash -r "${MATLAB_STARTUP_CMD}; octsympy_tests_matlab"

=== debian/changelog ===
octave-symbolic (2.8.0-2) unstable; urgency=medium

  [ Rafael Laboissière ]
  * d/control: Bump Standards-Version to 4.5.0 (no changes needed)

  [ Sébastien Villemot ]
  * sympy-1.5.patch: new patch, fixes testsuite against SymPy 1.5
    (Closes: #948458)

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 22 Feb 2020 09:51:57 +0100

octave-symbolic (2.8.0-1) unstable; urgency=medium

  [ Rafael Laboissiere ]
  * d/copyright: Add AppStream file

  [ Sébastien Villemot ]
  * New upstream version 2.8.0
  * d/copyright: reflect upstream changes
  * Remove patches applied upstream
    + linspace-drop-test.patch
    + pochhammer-test-tolerance.patch
  * Bump S-V to 4.4.0
  * Drop version in python3-simpy B-D.
    The minimal requirement is satisfied by all Debian releases.

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 08 Jul 2019 17:12:10 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: octave-symbolic
 Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
 Uploaders: Sébastien Villemot <sebastien@debian.org>,
-           Rafael Laboissiere <rafael@debian.org>
+           Rafael Laboissière <rafael@debian.org>
 Section: math
 Priority: optional
 Build-Depends: debhelper-compat (= 12),
                dh-octave (>= 0.5.0),
-               python3-sympy (>= 1.0)
-Standards-Version: 4.3.0
+               python3-sympy
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-symbolic
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-symbolic.git
 Homepage: https://octave.sourceforge.io/symbolic/

## octave-symbolic 2.9.0

=== debian/changelog ===
octave-symbolic (2.9.0-3) unstable; urgency=medium

  * d/p/sympy-1.6.patch: Set Forwarded:not-needed
  * d/u/metadata: Update upstream URLs

 -- Rafael Laboissière <rafael@debian.org>  Sun, 02 Aug 2020 09:31:24 -0300

octave-symbolic (2.9.0-2) unstable; urgency=medium

  [ Rafael Laboissière ]
  * d/u/metadata: New file
  * d/control: Bump debhelper compatibility level to 13

  [ Sébastien Villemot ]
  * sympy-1.6.patch: new patch, fixes FTBFS against SymPy 1.6.
    A temporary (build-)dependency on python3-six has been added to make the
    patch work.
    Thanks to Georges Khaznadar (Closes: #963036)
  * d/rules: simplify using debhelper 12.8’s execute_after_* rules

 -- Sébastien Villemot <sebastien@debian.org>  Fri, 19 Jun 2020 23:06:06 +0200

octave-symbolic (2.9.0-1) unstable; urgency=medium

  * New upstream version 2.9.0
  * Dropped patch (applied upstream):
    + d/p/python3.patch
    + d/p/sympy-1.5.patch
  * d/copyright: Reflect upstream changes

 -- Rafael Laboissière <rafael@debian.org>  Mon, 09 Mar 2020 03:40:22 -0300

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,12 @@
            Rafael Laboissière <rafael@debian.org>
 Section: math
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
+               debhelper (>= 12.8~),
                dh-octave (>= 0.5.0),
-               python3-sympy
+               python3-sympy,
+# The following should be removed once sympy-1.6.patch is removed
+               python3-six
 Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-symbolic
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-symbolic.git
@@ -18,7 +21,9 @@
 Architecture: all
 Depends: ${misc:Depends},
          ${octave:Depends},
-         python3-sympy
+         python3-sympy,
+# The following should be removed once sympy-1.6.patch is removed
+         python3-six
 Description: symbolic package for Octave
  ${octave:Upstream-Description}
  .

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ --buildsystem=octave --with=octave

execute_after_dh_auto_install:
	# Remove the extraneous Windows batch script
	rm -rf $$(find debian/octave-symbolic -name bin)

## octave-symbolic 3.0.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Name: symbolic
-Version: 2.8.0
-Date: 2019-04-30
+Version: 3.0.1
+Date: 2022-08-09
 Author: Colin B. Macdonald <cbm@m.fsf.org>
 Maintainer: Colin B. Macdonald <cbm@m.fsf.org>
 Title: Octave Symbolic Package using SymPy
@@ -11,6 +11,6 @@
  toolboxes is intended.
 Categories: symbolic
 Url: https://octave.sourceforge.io/symbolic
-Depends: octave (>= 4.2)
-SystemRequirements: python, sympy (>= 1.2)
-License: GPL-3.0+
+Depends: octave (>= 5.1)
+SystemRequirements: python, sympy (>= 1.4), mpmath (>= 1.0)
+License: GPL-3.0-or-later

=== debian/changelog ===
octave-symbolic (3.0.1-2) unstable; urgency=medium

  * d/watch: Adjust for new URL at gnu-octave.github.io
  * d/s/lintian-override: Override Lintian warning
    debian-watch-lacks-sourceforge-redirector

 -- Rafael Laboissière <rafael@debian.org>  Mon, 05 Dec 2022 12:10:38 -0300

octave-symbolic (3.0.1-1) unstable; urgency=medium

  * New upstream version 3.0.1
  * d/copyright: Reflect upstream changes

 -- Rafael Laboissière <rafael@debian.org>  Tue, 16 Aug 2022 09:33:36 -0300

octave-symbolic (3.0.0-1) unstable; urgency=medium

  * New upstream version 3.0.0
  * d/copyright: Reflect upstream changes

 -- Rafael Laboissière <rafael@debian.org>  Fri, 08 Jul 2022 10:12:11 -0300

octave-symbolic (2.9.1~git.2022.06.09-1) unstable; urgency=medium

  * New upstream version 2.9.1~git.2022.06.09
    The upstream tarball was obtained directly from the upstream Git
    repository at GitHub. This fixes the FTBFS problem when building
    the package against SymPy 1.10 and Octave 7 (Closes: ##980707).
  * d/copyright:
    + Reflect upstream changes
    + Accentuate my family name
  * d/p/sympy-1.6.patch: Drop patch (applied upstream)
  * d/rules: Drop obsolete execute_after_dh_auto_install target
  * d/control:
    + Bump Standards-Version to 4.6.1 (no changes needed)
    + Set upstream metadata fields: Archive.
  * Build-depend on dh-sequence-octave
    + d/control: Ditto
    + d/rules: Drop the --with=octave option from dh call

 -- Rafael Laboissière <rafael@debian.org>  Wed, 08 Jun 2022 22:23:23 -0300

=== debian/control ===
--- 
+++ 
@@ -6,11 +6,11 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                debhelper (>= 12.8~),
-               dh-octave (>= 0.5.0),
+               dh-sequence-octave,
                python3-sympy,
 # The following should be removed once sympy-1.6.patch is removed
                python3-six
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-symbolic
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-symbolic.git
 Homepage: https://octave.sourceforge.io/symbolic/

## octave-symbolic 3.1.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Name: symbolic
-Version: 3.0.1
-Date: 2022-08-09
+Version: 3.1.1
+Date: 2023-03-19
 Author: Colin B. Macdonald <cbm@m.fsf.org>
 Maintainer: Colin B. Macdonald <cbm@m.fsf.org>
 Title: Octave Symbolic Package using SymPy

=== debian/changelog ===
octave-symbolic (3.1.1-2) unstable; urgency=medium

  * Upload to unstable

  * d/control: Drop obsolete build-dependency on python3-six
  * d/u/metadata: Add Changelog and Documentation URLs

 -- Rafael Laboissière <rafael@debian.org>  Tue, 13 Jun 2023 10:32:51 -0300

octave-symbolic (3.1.1-1) experimental; urgency=medium

  * New upstream version 3.1.1
  * d/copyright: Reflect upstream changes
  * d/control:
    + Bump Standards-Version to 4.6.2 (no changes needed)
    + Update Homepage

 -- Rafael Laboissière <rafael@debian.org>  Fri, 24 Mar 2023 04:12:32 -0300

=== debian/control ===
--- 
+++ 
@@ -7,13 +7,11 @@
 Build-Depends: debhelper-compat (= 13),
                debhelper (>= 12.8~),
                dh-sequence-octave,
-               python3-sympy,
-# The following should be removed once sympy-1.6.patch is removed
-               python3-six
-Standards-Version: 4.6.1
+               python3-sympy
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-symbolic
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-symbolic.git
-Homepage: https://octave.sourceforge.io/symbolic/
+Homepage: https://gnu-octave.github.io/packages/symbolic/
 Testsuite: autopkgtest-pkg-octave
 Rules-Requires-Root: no
